*****************************************************
* Este exemplo est com todas as clusulas informadas
* por motivos documentacionais
* 
* Os demais exemplos tem somente as clusulas necessrias
* para sua execuo
*****************************************************

*****************************************************
* Existem 3 sees, todas opcionais
* STRUCTURE - ttulo do indicador
* INEQ      - parmetros de clculo do GINI
* SIDRA     - parmetros de gravao para o SIDRA
*****************************************************

[STRUCTURE]

*****************************************************
* Declarao do dicionrio (obrigratrio)
*****************************************************
WORKSPACE=BASE\PNAD_PARTE.dic

***********************
* Ttulo para a caixa de ndices a serem executados (opcional)
* Se no existir usa o nome do arquivo INL
***********************
CAPTION=Exemplo completo

***********************
* Cores para a curva de Lorenz (opcional)
*
* Se no existir, assume 
* COLOR=RED 
* COLORMIN=WHITE 
* COLORMAX=BLUE
*
* Podem ser nomes de cores aceitos pelo sistema
* (ver anexo no manual),
* ou nmeros no formato RGB
* COLOR=0.128.0
***********************
COLOR=GREEN
COLORMIN=BLUE
COLORMAX=GREEN

[INEQ]

***********************
* Include para o Arquivo de tradues (opcional)
* Se existir, este comando #INCLUDE tem que ser na seo de [INEQ]
***********************
#include TRANSLATE_Prt.INL

***********************
* SELEES Geogrficas (opcional)
*
* SELECTIONFIXED - seleo nica
* SELECTIONN     - nmero de arquivos para a
*                  caixa de selees a escolher
*
* Se aparecem as duas, SELECTIONFIXED tem preferncia
*
* Se no existir, assume ALL
* Se ao executar, o arquivo informado no existir, assume ALL
* Podem ser arquivos no formato .SEL ou .SLW
***********************
*SELECTIONFIXED=AMAPA.SEL
SELECTIONN=4
SELECTION1=( TODA A BASE )
SELECTION2=MAPA.SEL
SELECTION3=ES.SEL
SELECTION4=RNORTE.SEL
SELECTIONLAST=2

****************************************
* Variveis para escolher qual delas usar para o clculo do GINI
* Obrigatria a existncia de pelo menos 1 varivel
* ou ento, especificar a varivel por intermdio da Expresso
* no momento da execuo do clculo (flecha azul)
****************************************
GINIVALUEN=5
GINIVALUE2=FAMILIA.V4722
GINIVALUE1=FAMILIA.V4726 
GINIVALUE3=DOMICIL.V4614
GINIVALUE4=PESSOA.V4720
GINIVALUE5=PESSOA.V4719
GINIVALUELAST=4

****************************************
* Expresses de filtro (opcional)
*
* FILTERFIXED - filtro nico
* FILTERN     - nmero de filtros para a 
*               caixa de expresses para escolher
*
* Se aparecem as duas, FILTERFIXED tem preferncia
*
* FILTERCAPTION - texto descritivo para a caixa
* FILTERVALUE   - expresso do filtro em linguagem SPC
****************************************
*FILTERFIXED=PESSOA.V4720 > 0 AND PESSOA.V4720 < 999999999
FILTERN=3
FILTERCAPTION1=( Nenhum )
FILTERCAPTION2=Domiclios particulares permanentes
FILTERVALUE2=DOMICIL.ESPECIE < 5
FILTERCAPTION3=Pessoas de 10 anos ou mais
FILTERVALUE3=PESSOA.IDADE >= 10
FILTERLAST=3

****************************************
* Entidades para escolher qual delas ser contabilizada
* Devem ser entidades reais (no virtuais)
* Obrigatria a existncia de pelo menos 1 entidade na lista
* CNTx - nomes de entidades da base
****************************************
CNTN=3
CNT3=PESSOA
CNT2=FAMILIA
CNT1=DOMICIL
CNTLAST=3

****************************************
* Peso a ser usado no processo (opcional)
*
* Se a base tem pesos automticos para as entidades, 
*   usar a clusula WEIGHTAUTO=YES (o padro  NO)
*
* Se aparecem WEIGHTAUTO e WEIGHTN, 
*    WEIGHTAUTO tem preferncia
*  
****************************************
*WEIGHTAUTO=YES
WEIGHTN=4
WEIGHT1=( Sem peso )
WEIGHT2=PESSOA.PESOPES
WEIGHT3=FAMILIA.PESOFAM
WEIGHT4=DOMICIL.PESODOM
WEIGHTLAST=2

****************************************
* Nvel de sada
* Obrigatria a existncia de pelo menos 1 nvel,
* ainda que seja a raiz (toda a pesquisa)
* Entidades tem que ser selecionveis
****************************************
GINIOUTN=4
GINIOUT1=PNAD
GINIOUT2=REGIAO
GINIOUT3=UF
GINIOUT4=RM
GINIOUTLAST=1

****************************************
* Nomes de rea para os elementos da entidade de sada (opcional)
****************************************
AREALABELCHECKED=YES

****************************************
* Identificao extra para a sada (opcional)
* Caso a identificao da entidade de sada
* no seja o cdigo composto, escolher
* qual a varivel da lista deve ser usada
* (no caso de bases como a PNAD, que tem uma entidade com
* o ano da pesquisa, este campo 
* necessrio para identificar somente a REGIAO e UF, por exemplo,
* sem agregar o ANO da pesquisa no cdigo de identificao)
****************************************
EXTRAIDENTLAST=3

****************************************
* Filtro adicional (opcional)
* Combinao com a informao FILTER (AND)
*
* GINIMBRx     - nomes de variveis categorizadas
* GINIMBRx.VLy - pr-marcao da categoria y da varivel x 
****************************************
GINIMBRN=3
GINIMBR1=PESSOA.V0302
GINIMBR2=DOMICIL.SETORSIT
GINIMBR3=DOMICIL.V0202
GINIMBRLAST=2
GINIMBR1.VL2=YES

****************************************
* Nmero de pontos na Curva de Lorenz (opcional)
* Se no existir assume 2, 4, 5, 10, 20 e 100 pontos
*
* POINTx - um nmero seguido de um texto qualquer
* POINTLAST=nmero de pontos
****************************************
POINTS=3
POINT1=30 pontos
POINT2=50 pontos
POINT3=100 pontos
POINTSLAST=50

****************************************
* Parmetros para os filtros de Theil (opcional)
*
* THEILVARx     - nomes de variveis categorizadas
* THEILVARx.VLy - pr-marcao da categoria y da varivel x 
****************************************
THEILVARN=3
THEILVAR1=PESSOA.V0302
THEILVAR2=DOMICIL.SETORSIT
THEILVAR3=DOMICIL.V0202
THEILVARLAST=3
THEILVAR2.VL1=YES

****************************************
* Linha de pobreza (opcional)
*
* POVERTYLINE - valor de rendimento abaixo do qual 
*               as pessoas so consideradas pobres
****************************************
POVERTYLINE=500

****************************************
* Omitir valores invlidos ou ignorados (opcional)
* MISSINGVALUE - valor que simula o invlido na base
*
* Necessrio quando existe um valor na base que signifique
* um valor no informado, e se deseje filtrar os casos
* com este valor
****************************************
MISSINGVALUEVALUE=999999999

****************************************
* Omitir valores com zero (opcional)
****************************************
ZEROVALUECHECK=YES

****************************************
* Arquivo de sada para os resultados do GINI (opcional)
****************************************
OUTPUTFILE=Output\gini1_OPUTPUT.txt

[SIDRA]
****************************************
* Parmetros para o SIDRA (opcional)
* SIDRAOPTION - escolher qual o valor a ser passado para o SIDRA
*               1 - GINI
*               2 - Valor Mdio
*               3 - Mdia Acumulada
*               4 - Porcentagem
*               5 - Porcentagem Acumulada
* SIDRAPARM   - conjunto de parmetros especficos do SIDRA
*               tabela, ano, varivel, etc.
* SIDRAOUTPUT - arquivo de sada do SIDRA
****************************************
SIDRAOPTION=1
SIDRAPARM=T=1975 A=2005 V=4678 D=5 N=1 S1=5
SIDRAOUTPUT=OUTPUT\T1975_gini1.txt
